# Class FiltersContributionParameters

java.lang.Object
org.eclipse.ui.views.markers.FiltersContributionParameters

public abstract class FiltersContributionParameters extends Object
A MarkerFieldParameters is a class that specifies a Map of parameters to be passed to a `MarkerFieldFilter`.

Since:
  3.4

## Constructor Summary

Constructors
Constructor
Description
`FiltersContributionParameters()`

## Method Summary

Modifier and Type
Method
Description
`abstract Map`
`getParameterValues()`
Returns a map keyed names for parameter values.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FiltersContributionParameters

public FiltersContributionParameters()

## Method Details

### getParameterValues

public abstract Map getParameterValues()
Returns a map keyed names for parameter values. The values should be actual values that will be interpreted by the `MarkerFieldFilter` these parameters are designed for. Note that these parameters will be sent to the MarkerFieldFilter for every visible `MarkerField` in a markers view.

Returns:
  A map of the name of the parameter value (`String`) to the actual value of the parameter (`String`).